%define soname %{version}
%define libname %mklibname %{name} %{soname}
%define develname %mklibname -d %{name}

%define oname fifengine

Name:		fife
Version:	0.4.1
Release:	%mkrel 1
Summary:	Cross-platform game creation framework
Group:		Development/Tools
License:	LGPLv2+
URL:		http://www.fifengine.net
Source0:	https://github.com/fifengine/fifengine/archive/%{version}/%{oname}-%{version}.tar.gz

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	fifechan-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	swig
Provides:	%{name}-python = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description
FIFE is a free, open-source cross-platform game engine, written in C++,
making it highly portable (it supports Linux, Windows and Mac).

This package comes with the game engine only.
The game Unknown Horizons is one of the clients using this engine.

%package -n %{libname}
Summary:	Shared libs for FIFE
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	fife < 0.3.3-7

%description -n %{libname}
Shared libs for FIFE.

%package -n %{develname}
Summary:	Development package for FIFE
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Conflicts:	fife < 0.3.3-7

%description -n %develname
Files for development with FIFE.

%prep
%autosetup -n %{oname}-%{version}

# Fix libdir
sed -i CMakeLists.txt -e 's@\${CMAKE_INSTALL_PREFIX}/lib@\${CMAKE_INSTALL_PREFIX}/%{_lib}@'

%build
%cmake \
	-DPYTHON_SITE_PACKAGES=%{python2_sitearch} \
	-Dbuild-library=ON \
	-Dbuild-python=ON \
	-Drend-camzone=ON \
	-Drend-grid=ON \
	-Duse-githash=OFF

%make_build -j1

%install
%make_install -C build

%files
%doc AUTHORS CHANGELOG.md LICENSE.md README.md
%{python_sitearch}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/


%changelog
* Thu Feb 09 2017 akien <akien> 0.4.1-1.mga6
+ Revision: 1085234
- Version 0.4.1

* Tue Jan 17 2017 akien <akien> 0.4.0-1.mga6
+ Revision: 1082152
- Version 0.4.0, uses SDL2 and cmake

* Sat Dec 26 2015 daviddavid <daviddavid> 0.4.0-0.20141115.4.mga6
+ Revision: 915168
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 fwang <fwang> 0.4.0-0.20141115.3.mga6
+ Revision: 883427
- rebuild for new boost

* Sun Aug 02 2015 daviddavid <daviddavid> 0.4.0-0.20141115.2.mga6
+ Revision: 860525
- rebuild for new boost-1.58.0

* Mon Jan 12 2015 akien <akien> 0.4.0-0.20141115.1.mga5
+ Revision: 810015
- Dev snapshot of fifengine 0.4.0 (current stable needs swig 2)
- Drop doc package and static lib
- Disable debug build

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-7.mga5
+ Revision: 749874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-6.mga5
+ Revision: 679179
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.5-5.mga5
+ Revision: 628177
- Rebuild for new Python

* Sat Feb 08 2014 barjac <barjac> 0.3.5-4.mga5
+ Revision: 586326
- rebuild against boost-1.55

* Tue Dec 10 2013 zezinho <zezinho> 0.3.5-3.mga4
+ Revision: 556207
- fix build against mesa 10

* Tue Oct 22 2013 umeabot <umeabot> 0.3.5-2.mga4
+ Revision: 544724
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 0.3.5-1.mga4
+ Revision: 500219
- new version 0.3.5

* Tue Aug 13 2013 akien <akien> 0.3.4-1.mga4
+ Revision: 466155
- Cleaned-up spec file
- Rewrote Description
- Added a secondary source for the doc files which are missing from the upstream sf.net tarball
- Fixed the specfile for fife-doc (wrong path in the bin)

  + dams <dams>
    - new version 0.3.4

* Tue Jul 09 2013 fwang <fwang> 0.3.3-6.mga4
+ Revision: 451777
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 0.3.3-5.mga4
+ Revision: 434724
- rebuild for new libpng

* Thu Apr 11 2013 malo <malo> 0.3.3-4.mga3
+ Revision: 409489
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 0.3.3-3.mga3
+ Revision: 350284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.3.3-2.mga3
+ Revision: 332934
- rebuild for new boost

* Sat Sep 01 2012 fwang <fwang> 0.3.3-1.mga3
+ Revision: 286931
- specify libdir
- rebuild for new boost

  + dams <dams>
    - update BuildRequires

  + zezinho <zezinho>
    - new version

  + kamil <kamil>
    - rebuild against boost 1.49.0
    - clean .spec

* Mon Nov 28 2011 fwang <fwang> 0.3.2-6.mga2
+ Revision: 173452
- rebuild for new boost

* Sun Sep 11 2011 fwang <fwang> 0.3.2-5.mga2
+ Revision: 142361
- rebuild for new libpng
- fix obsoletes
- libfy the package
- rebuild for new boost

* Thu Jul 14 2011 anaselli <anaselli> 0.3.2-2.mga2
+ Revision: 124145
- fix mageia group, bug #2148

* Wed Jul 13 2011 matteo <matteo> 0.3.2-1.mga2
+ Revision: 123495
- disabled Patch1 to fix compilation error
- BuildRequires updated
- spec file rewritten from scratch

  + stblack <stblack>
    - imported package fife

